Plane Class

class NXOpen.Plane

Bases: NXOpen.SmartObject, NXOpen.IPlane, NXOpen.ISurface, NXOpen.IOrientation

Represents an Plane class.

No Creator because of a problem with arrays in APIWRAP

New in version NX4.0.0.

Properties

Property Description
Color Returns or sets the color of the object.
Expression Returns the plane expression.
Flip Returns the flip direction of the plane
FrenetSubtype Returns the subtype of on curve type of plane fron NX6 onwards.
IsBlanked Returns the blank status of this object.
IsOccurrence Returns whether this object is an occurrence or not.
JournalIdentifier Returns the identifier that would be recorded in a journal for this object.
Layer Returns or sets the layer that the object is in.
LineFont Returns or sets the line font of the object.
LineWidth Returns or sets the line width of the object.
Matrix Returns or sets the matrix of the plane
Method Returns a plane type
Name Returns the custom name of the object.
NameLocation Returns the location of the object’s name.
Normal Returns or sets the normal of the plane
OffsetExpression Returns or sets the plane offset expression.
OffsetFlip Returns the flip state of the offset direction of the plane
Origin Returns or sets the origin of the plane
OwningComponent Returns the owning component, if this object is an occurrence.
OwningPart Returns the owning part of this object
Percent Returns the arclenth or the percent value
Prototype Returns the prototype of this object if it is an occurrence.
Tag Returns the Tag for this object.
Update Returns the update option.
Visibility Returns the visibility.

Methods

Method Description
Blank Blanks the object.
ConvertToSmartPlane Convert a fixed plane to a smart plane object to allow applying constraints to the plane.
CopySoPlane Creates an Plane using a datum plane feature.
CreateAttributeIterator Create an attribute iterator @return A new attribute iterator object
DeleteAllAttributesByType Deletes all attributes of a specific type.
DeleteAttributeByTypeAndTitle Deletes an attribute by type and title.
DeleteUserAttribute Deletes the first attribute encountered with the given Type, Title.
DeleteUserAttributes Deletes the attributes on the object, if any, that satisfy the given iterator
DestroyPlane Destroy the plane object
EditFixedPlane Edit a fixed plane object with a new origin and matrix.
Evaluate Evaluates the plane
FindObject Finds the NXOpen.NXObject with the given identifier as recorded in a journal.
GetAlternate Returns the alternate type @return
GetAttributeTitlesByType Gets all the attribute titles of a specific type.
GetBooleanUserAttribute Gets a boolean attribute by Title and array Index.
GetComputationalTimeUserAttribute Gets a time attribute by Title and array Index.
GetGeometry Returns the geometry @return
GetIntegerAttribute Gets an integer attribute by title.
GetIntegerUserAttribute Gets an integer attribute by Title and array Index.
GetNextUserAttribute Gets the next attribute encountered on the object, if any, that satisfies the given iterator.
GetNumberOfAlternate Returns the number of alternate solutions @return
GetRealAttribute Gets a real attribute by title.
GetRealUserAttribute Gets a real attribute by Title and array Index.
GetReferenceAttribute Gets the reference string (not the calculated value) of a string attribute that uses a reference string.
GetReverseSection Returns the reverse section @return
GetReverseSide Returns the reverse side @return
GetStringAttribute Gets a string attribute value by title.
GetStringUserAttribute Gets a string attribute by Title and array Index.
GetTimeAttribute Gets a time attribute by title.
GetTimeUserAttribute Gets a time attribute by Title and array Index.
GetUserAttribute Gets the first attribute encountered on the object, if any, with a given Title, Type and array Index.
GetUserAttributeAsString Gets the first attribute encountered on the object, if any, with a given title, type and array index.
GetUserAttributeCount Gets the count of set attributes on the object, if any, that satisfy the given iterator.
GetUserAttributeLock Determine the lock of the given attribute.
GetUserAttributeSize Gets the size of the first attribute encountered on the object, if any, with a given Title and Type.
GetUserAttributeSourceObjects Returns an array of objects from which this object presents attributes.
GetUserAttributes Gets all the attributes that have been set on the given object, if any, that satisfy the given iterator.
GetUserAttributesAsStrings Gets all the attributes that have been set on the given object.
HasUserAttribute Determines if an attribute exists on the object, that satisfies the given iterator @return
Highlight Highlights the object.
Print Prints a representation of this object to the system log file.
RedisplayObject Redisplays the object in all views.
RemoveOffsetData Remove all offset data from the plane
RemoveParameters Removes the smart object parameters.
RemoveViewDependency Remove dependency on all views from an object.
ReplaceExpression Replace the expression in on curve plane plane
ReplaceParameters Edit a smart object by replacing its parameters using parameters of other smart object of the same class.
ResetExpressionValue Reset the expression value in on curve plane plane
SetAlternate Sets the alternate type
SetAttribute Creates or modifies an integer attribute.
SetBooleanUserAttribute Creates or modifies a boolean attribute with the option to update or not.
SetExpression Sets the plane expression.
SetFlip Flip the direction of the plane
SetFrenetSubtype Sets subtype for a specific plane type where the alternate solution cannot handle.
SetGeometry Sets the geometry
SetMethod Sets a plane type
SetName Sets the custom name of the object.
SetNameLocation Sets the location of the object’s name.
SetOffsetExpression Sets the plane offset expression value.
SetOffsetFlip Sets the flip state of the offset direction of the plane
SetPercent Sets the arclenth or the percent value
SetReferenceAttribute Creates or modifies a string attribute which uses a reference string.
SetReverseSection Sets the reverse_section
SetReverseSide Sets the reverse side
SetTimeAttribute Creates or modifies a time attribute.
SetTimeUserAttribute Creates or modifies a time attribute with the option to update or not.
SetUpdateOption Set to plane update
SetUserAttribute Creates or modifies an attribute with the option to update or not.
SetUserAttributeLock Lock or unlock the given attribute.
SetVisibility Sets the visibility.
Unblank Unblanks the object.
Unhighlight Unhighlights the object.

Property Detail

Expression

Plane.Expression

Returns the plane expression.

-------------------------------------

Getter Method

Signature Expression()

Returns:offset value
Return type:NXOpen.Expression

New in version NX4.0.0.

License requirements: None.

Flip

Plane.Flip

Returns the flip direction of the plane

-------------------------------------

Getter Method

Signature Flip()

Returns:flip direction
Return type:bool

New in version NX4.0.0.

License requirements: None.

FrenetSubtype

Plane.FrenetSubtype

Returns the subtype of on curve type of plane fron NX6 onwards.

It is a valid function for and only for on-curve type plane of NX6 onwards.

-------------------------------------

Getter Method

Signature FrenetSubtype()

Returns:
Return type:NXOpen.PlaneTypesFrenetSubtype

New in version NX6.0.0.

License requirements: None.

IsOccurrence

Plane.IsOccurrence

Returns whether this object is an occurrence or not.

-------------------------------------

Getter Method

Signature IsOccurrence()

Returns:This object is an occurrence
Return type:bool

New in version NX3.0.0.

License requirements: None.

JournalIdentifier

Plane.JournalIdentifier

Returns the identifier that would be recorded in a journal for this object.

This may not be the same across different releases of the software.

-------------------------------------

Getter Method

Signature JournalIdentifier()

Returns:
Return type:str

New in version NX3.0.0.

License requirements: None.

Matrix

Plane.Matrix

Returns or sets the matrix of the plane

-------------------------------------

Getter Method

Signature Matrix()

Returns:
Return type:NXOpen.Matrix3x3

New in version NX7.5.0.

License requirements: None.

-------------------------------------

Setter Method

Signature Matrix(matrix)

Parameters:matrix (NXOpen.Matrix3x3) –

New in version NX7.5.0.

License requirements: None.

Method

Plane.Method

Returns a plane type

-------------------------------------

Getter Method

Signature Method()

Returns:
Return type:NXOpen.PlaneTypesMethodType

New in version NX4.0.0.

License requirements: None.

Name

Plane.Name

Returns the custom name of the object.

-------------------------------------

Getter Method

Signature Name()

Returns:
Return type:str

New in version NX3.0.0.

License requirements: None.

Normal

Plane.Normal

Returns or sets the normal of the plane

-------------------------------------

Getter Method

Signature Normal()

Returns:
Return type:NXOpen.Vector3d

New in version NX4.0.0.

License requirements: None.

-------------------------------------

Setter Method

Signature Normal(normal)

Parameters:normal (NXOpen.Vector3d) –

New in version NX4.0.0.

License requirements: None.

OffsetExpression

Plane.OffsetExpression

Returns or sets the plane offset expression.

-------------------------------------

Getter Method

Signature OffsetExpression()

Returns:offset value
Return type:NXOpen.Expression

New in version NX7.5.0.

License requirements: None.

-------------------------------------

Setter Method

Signature OffsetExpression(valueExpression)

Parameters:valueExpression (NXOpen.Expression) – offset value

New in version NX8.5.0.

License requirements: None.

OffsetFlip

Plane.OffsetFlip

Returns the flip state of the offset direction of the plane

-------------------------------------

Getter Method

Signature OffsetFlip()

Returns:offset flip direction
Return type:bool

New in version NX7.5.0.

License requirements: None.

Origin

Plane.Origin

Returns or sets the origin of the plane

-------------------------------------

Getter Method

Signature Origin()

Returns:
Return type:NXOpen.Point3d

New in version NX4.0.0.

License requirements: None.

-------------------------------------

Setter Method

Signature Origin(origin)

Parameters:origin (NXOpen.Point3d) –

New in version NX4.0.0.

License requirements: None.

OwningComponent

Plane.OwningComponent

Returns the owning component, if this object is an occurrence.

-------------------------------------

Getter Method

Signature OwningComponent()

Returns:
Return type:NXOpen.Assemblies.Component

New in version NX3.0.0.

License requirements: None.

OwningPart

Plane.OwningPart

Returns the owning part of this object

-------------------------------------

Getter Method

Signature OwningPart()

Returns:The owning part of this object or null if it does not have an owner
Return type:NXOpen.BasePart

New in version NX3.0.0.

License requirements: None.

Percent

Plane.Percent

Returns the arclenth or the percent value

-------------------------------------

Getter Method

Signature Percent()

Returns:arclength or percent value
Return type:bool

New in version NX4.0.0.

License requirements: None.

Prototype

Plane.Prototype

Returns the prototype of this object if it is an occurrence.

-------------------------------------

Getter Method

Signature Prototype()

Returns:The prototype of this object or null if this object is not an occurrence
Return type:NXOpen.INXObject

New in version NX3.0.0.

License requirements: None.

Method Detail

ConvertToSmartPlane

Plane.ConvertToSmartPlane

Convert a fixed plane to a smart plane object to allow applying constraints to the plane.

Signature ConvertToSmartPlane()

New in version NX7.0.0.

License requirements: None.

CopySoPlane

Plane.CopySoPlane

Creates an Plane using a datum plane feature.

Signature CopySoPlane()

Returns:
Return type:NXOpen.Plane

New in version NX4.0.0.

License requirements: None.

DestroyPlane

Plane.DestroyPlane

Destroy the plane object

Signature DestroyPlane()

New in version NX6.0.3.

License requirements: None.

EditFixedPlane

Plane.EditFixedPlane

Edit a fixed plane object with a new origin and matrix.

It will raise an error if the plane is not fixed.

Signature EditFixedPlane(origin, matrix)

Parameters:

New in version NX11.0.0.

License requirements: None.

Evaluate

Plane.Evaluate

Evaluates the plane

Signature Evaluate()

New in version NX4.0.0.

License requirements: None.

FindObject

Plane.FindObject

Finds the NXOpen.NXObject with the given identifier as recorded in a journal.

An object may not return the same value as its JournalIdentifier in different versions of the software. However newer versions of the software should find the same object when FindObject is passed older versions of its journal identifier. In general, this method should not be used in handwritten code and exists to support record and playback of journals.

An exception will be thrown if no object can be found with the given journal identifier.

Signature FindObject(journalIdentifier)

Parameters:journalIdentifier (str) – Journal identifier of the object
Returns:
Return type:NXOpen.INXObject

New in version NX3.0.0.

License requirements: None.

GetAlternate

Plane.GetAlternate

Returns the alternate type

Signature GetAlternate()

Returns:
Return type:NXOpen.PlaneTypesAlternateType

New in version NX4.0.0.

License requirements: None.

GetGeometry

Plane.GetGeometry

Returns the geometry

Signature GetGeometry()

Returns:
Return type:list of NXOpen.NXObject

New in version NX4.0.0.

License requirements: None.

GetNumberOfAlternate

Plane.GetNumberOfAlternate

Returns the number of alternate solutions

Signature GetNumberOfAlternate()

Returns:
Return type:int

New in version NX4.0.0.

License requirements: None.

GetReverseSection

Plane.GetReverseSection

Returns the reverse section

Signature GetReverseSection()

Returns:
Return type:bool

New in version NX4.0.0.

License requirements: None.

GetReverseSide

Plane.GetReverseSide

Returns the reverse side

Signature GetReverseSide()

Returns:
Return type:bool

New in version NX4.0.0.

License requirements: None.

Print

Plane.Print

Prints a representation of this object to the system log file.

Signature Print()

New in version NX3.0.0.

License requirements: None.

RemoveOffsetData

Plane.RemoveOffsetData

Remove all offset data from the plane

Signature RemoveOffsetData()

New in version NX7.5.0.

License requirements: None.

ReplaceExpression

Plane.ReplaceExpression

Replace the expression in on curve plane plane

Signature ReplaceExpression(expTag)

Parameters:expTag (NXOpen.Expression) –

New in version NX7.5.0.

License requirements: None.

ResetExpressionValue

Plane.ResetExpressionValue

Reset the expression value in on curve plane plane

Signature ResetExpressionValue()

New in version NX7.5.0.

License requirements: None.

SetAlternate

Plane.SetAlternate

Sets the alternate type

Signature SetAlternate(type)

Parameters:type (NXOpen.PlaneTypesAlternateType) –

New in version NX4.0.0.

License requirements: None.

SetExpression

Plane.SetExpression

Sets the plane expression.

Only valid for the following types: PlaneTypesMethodType.Frenet or PlaneTypesMethodType.Distance.

Signature SetExpression(valueExpression)

Parameters:valueExpression (str) – offset value

New in version NX4.0.0.

License requirements: None.

SetFlip

Plane.SetFlip

Flip the direction of the plane

Signature SetFlip(flip)

Parameters:flip (bool) – flip direction

New in version NX4.0.0.

License requirements: None.

SetFrenetSubtype

Plane.SetFrenetSubtype

Sets subtype for a specific plane type where the alternate solution cannot handle.

Indeed, this is for frenet type only so far, after the Nissan enhancement in NX6.

Signature SetFrenetSubtype(subtype)

Parameters:subtype (NXOpen.PlaneTypesFrenetSubtype) –

New in version NX6.0.0.

License requirements: None.

SetGeometry

Plane.SetGeometry

Sets the geometry

Signature SetGeometry(geom)

Parameters:geom (list of NXOpen.NXObject) –

New in version NX4.0.0.

License requirements: None.

SetMethod

Plane.SetMethod

Sets a plane type

Signature SetMethod(type)

Parameters:type (NXOpen.PlaneTypesMethodType) –

New in version NX4.0.0.

License requirements: None.

SetName

Plane.SetName

Sets the custom name of the object.

NOTE: This method should not be used to edit a read-only object such as a Mirrored PMI object. If it is, the changes will be overridden when the part is updated.

Signature SetName(name)

Parameters:name (str) –

New in version NX3.0.0.

License requirements: None.

SetOffsetExpression

Plane.SetOffsetExpression

Overloaded method SetOffsetExpression

  • SetOffsetExpression(valueExpression)
  • OffsetExpression(valueExpression)

-------------------------------------

Sets the plane offset expression value.

Signature SetOffsetExpression(valueExpression)

Parameters:valueExpression (str) – offset value

New in version NX7.5.0.

License requirements: None.

-------------------------------------

Returns or sets the plane offset expression.

-------------------------------------

Getter Method

Signature OffsetExpression(valueExpression)

Parameters:valueExpression (NXOpen.Expression) – offset value

New in version NX8.5.0.

License requirements: None.

-------------------------------------

Setter Method

Signature OffsetExpression(valueExpression)

Parameters:valueExpression (NXOpen.Expression) – offset value

New in version NX8.5.0.

License requirements: None. -------------------------------------

SetOffsetFlip

Plane.SetOffsetFlip

Sets the flip state of the offset direction of the plane

Signature SetOffsetFlip(flip)

Parameters:flip (bool) – offset flip direction

New in version NX7.5.0.

License requirements: None.

SetPercent

Plane.SetPercent

Sets the arclenth or the percent value

Signature SetPercent(percent)

Parameters:percent (bool) – arclength or percent value

New in version NX4.0.0.

License requirements: None.

SetReverseSection

Plane.SetReverseSection

Sets the reverse_section

Signature SetReverseSection(reverseSection)

Parameters:reverseSection (bool) –

New in version NX4.0.0.

License requirements: None.

SetReverseSide

Plane.SetReverseSide

Sets the reverse side

Signature SetReverseSide(reverseSide)

Parameters:reverseSide (bool) –

New in version NX4.0.0.

License requirements: None.

SetUpdateOption

Plane.SetUpdateOption

Set to plane update

Signature SetUpdateOption(update)

Parameters:update (NXOpen.SmartObjectUpdateOption) –

New in version NX5.0.0.

License requirements: None.